h2 {
    margin-block-end: 1.5rem !important;
}

header.wp-block-template-part {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    max-width: 100vw;
}

.navbar {
    padding: 0.75rem 1.5rem;
    border-radius: 3rem;
}

.wp-block-navigation__responsive-container.is-menu-open {
    overflow: unset !important;
}

.wp-block-navigation-item__content {
    position: relative;
    display: flex;
    align-items: center;
    padding: 0.6rem 1.25rem 0.4rem 1.25rem;
    border-radius: 3rem;
    overflow: hidden;
}

.wp-block-navigation__responsive-container-open,
.wp-block-woocommerce-customer-account,
.wc-block-mini-cart {
    z-index: 1;
}

.wp-block-navigation__responsive-container-open svg,
.wc-block-mini-cart__icon {
    fill: var(--wp--preset--color--main-1-pistachio-dark);
}

.wc-block-customer-account__link,
.wp-block-navigation__responsive-container-open,
.wc-block-mini-cart__quantity-badge {
    position: relative;
    padding: 0.25rem;
    border-radius: 3rem;
    overflow: hidden;
}

.wc-block-customer-account__link::after,
.wp-block-navigation__responsive-container-open::after,
.wc-block-mini-cart__button .wc-block-mini-cart__quantity-badge::after,
.wp-block-navigation-item__content::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    border-radius: inherit;
    background-color: var(--wp--preset--color--main-1-pistachio-lightdark);
    transform: translateX(-100%);
    opacity: 0;
    transition: transform 0.35s ease-in-out, opacity 0.25s ease-in-out;
}

.wp-block-navigation__responsive-container-open:hover svg,
.wc-block-mini-cart__button:hover .wc-block-mini-cart__icon,
.wp-block-woocommerce-customer-account:hover .wc-block-customer-account__account-icon path {
    fill: var(--wp--preset--color--main-1-pistachio-ultralight);
}

.wp-block-woocommerce-customer-account:hover .wc-block-customer-account__account-icon circle {
    stroke: var(--wp--preset--color--main-1-pistachio-ultralight);
}

.wp-block-navigation__responsive-container-open:hover::after,
.wp-block-woocommerce-customer-account:hover .wc-block-customer-account__link::after,
.wc-block-mini-cart__button:hover .wc-block-mini-cart__quantity-badge::after,
.wp-block-navigation-item__content:hover::after {
    transform: translateX(0);
    opacity: 1;
}

.is-style-swiper .wc-block-product-template {
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: nowrap !important;
    gap: 0 !important;
    margin: 0;
    padding: 0;
    list-style: none;
}

.is-style-swiper .wc-block-product {
    flex-shrink: 0;
    width: auto;
    /* Breite setzt Swiper inline */
}

section.cta {
    height: auto2;
    overflow: clip;
}

section.cta .wp-block-columns {
    height: 100%;
}

section.category .wp-block-columns,
section.cta .wp-block-columns,
section.highlight .swiper-slide .wp-block-columns {
    gap: 0;
}

section.cta .wp-block-columns {
    flex-wrap: nowrap;
}

section.category .wp-block-columns>.wp-block-column,
section.cta .wp-block-columns>.wp-block-column,
section.highlight .swiper-slide .wp-block-columns>.wp-block-column {
    flex: 0 0 50%;
    min-width: 0;
    /* verhindert Überlauf durch breite Inhalte */
    box-sizing: border-box;
}

section.cta .wp-block-columns>.wp-block-column {
    height: auto;
    display: flex;
    align-items: center;
    position: relative;
    align-self: stretch;
}

section.cta .wp-block-stiftung-enzian-img-svg-block {
    overflow: visible;
    margin: 0;
    /* width: 100%; */
    display: flex;
    align-self: stretch;
}

section.cta .wp-block-columns>.wp-block-column:nth-of-type(2) {
    height: fit-content;
}

section.cta .cta-message>div {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    padding: 3rem;
}

section.cta .cta-message div.wp-block-buttons {
    width: 100%;
}

section.cta .cta-message h2 {
    font-family: var(--wp--preset--font-family--neue-montreal-mono);
    font-size: var(--wp--preset--font-size--xl);
    font-weight: 200;
}

section.highlight .swiper-slide .wp-block-columns>.wp-block-column {
    padding: 3rem;
}

section.highlight .highlight-text-wrapper .highlight-text {
    font-weight: 300;
    font-size: var(--wp--preset--font-size--l);
    line-height: 1.25;
    letter-spacing: 0.001;
}

section.highlight .highlight-text-wrapper h2 {
    font-weight: 300;
    font-size: var(--wp--preset--font-size--xl);
}

section.category .category-text-wrapper {
    padding: 3rem;
}

section.category .category-text-wrapper div.wp-block-group {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    height: 100%;
}

section.category .category-text-wrapper p {
    font-size: var(--wp--preset--font-size--l);
    line-height: 1.5;
    font-weight: 300;
    grid-column: 1 / span 2;
    grid-row: 1 / span 2;
}

section.category .category-text-wrapper figure {
    grid-column: 2 / span 1;
    grid-row: 2 / span 1;
    align-self: self-end;
    width: 100%;
}

section.category .category-text-wrapper figure img {
    display: block;
    margin-left: auto;
    margin-right: 0;
    max-height: clamp(6.250rem, calc(5.179rem + 5.357vw), 10.000rem);
    width: 75%;
    aspect-ratio: 1 / 1;
}

section.category .category-text-wrapper .wp-block-buttons {
    grid-column: 1 / span 1;
    grid-row: 2 / span 1;
    align-self: self-end;
    width: 100%;
}

section.category .category-img-wrapper {
    padding: 1.5rem;
    aspect-ratio: 1 / 1;
}

section.category .category-img-wrapper figure {
    height: 100%;
}

section.category .category-img-wrapper figure img {
    width: 100%;
    height: 100%;
}